Page MenuHomePhabricator

Parsoid's Cite extension sometimes produces different ids for the same <ref> source
Closed, ResolvedPublic

Description

This was originally noticed in repeated round-trip tests:

Not sure why cite ids are not identical anymore when double rt-diff is applied on a page .. This has been causing spurious rt diffs in the last 2 (at least) rounds of rt-testing.

Details

Reference
bz61165

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:58 AM
bzimport added a project: Parsoid-Tests.
bzimport set Reference to bz61165.
ssastry created this task.Feb 11 2014, 5:14 AM

Doesn't seem to be. roundtrip-test.js uses processTopLevelDoc both times.

With recent cite fixes, haven't seen this much .. But leaving this open just in case it pops up its head again.

This seems to have been fixed by the fix for bug 67237

We are seeing a lot of these spurious diffs again in recent roundtrip test runs.

Arlolra set Security to None.
ssastry moved this task from Backlog to Testing on the Parsoid board.Dec 20 2014, 4:16 AM
marcoil moved this task from Testing to Backlog on the Parsoid board.Feb 13 2015, 12:50 PM
marcoil renamed this task from RT-testing: spurious semantic diffs triggered by different ref id attributes in Cite to Parsoid's Cite extension sometimes produces different ids for the same <ref> source.Mar 25 2015, 6:04 PM
marcoil claimed this task.
marcoil raised the priority of this task from Low to High.
marcoil updated the task description. (Show Details)

Change 199643 had a related patch set uploaded (by Marcoil):
T63165: Ensure reference index is reset at the end of document

https://gerrit.wikimedia.org/r/199643

Change 199643 merged by jenkins-bot:
T63165: Ensure reference index is reset at the end of document

https://gerrit.wikimedia.org/r/199643

marcoil closed this task as Resolved.Mar 31 2015, 9:55 AM